#  
# 	Copyright (c) 2003-2008 The SCO Group, Inc. All Rights Reserved. 
#  
# 		THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF 
# 				The SCO Group, Inc. 
#  
# 	The copyright notice above does not evidence any actual or intended 
# 	publication of such source code. 
#  

#  
# 	Copyright (c) 2003-2005 The SCO Group, Inc. All Rights Reserved. 
#  
# 		THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF 
# 				The SCO Group, Inc. 
#  
# 	The copyright notice above does not evidence any actual or intended 
# 	publication of such source code. 
#  

# Copyright (c) 2002 Caldera International, Inc.. All Rights Reserved.  
#                                                                       
#        THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF                 
#                  CALDERA INTERNATIONAL, INC.                          
#                                                                       
#   The copyright notice above does not evidence any actual or intended 
#   publication of such source code.                                    


#ident	"@(#)unixsrc:usr/src/common/cmd/cmd-inet/usr.sbin/bind9/bind9.mk /main/uw7_nj/1"
#ident	"$Header: $"

#####################
#
# see the README.uw file for description of why and how this file is organized
#
#####################

include $(CMDRULES)

# the directory with the original BIND sources
BASEDIR=imported

# the install directory
INSDIR = ${USRSBIN}

all: patchit reconfigure
	cd $(BASEDIR) && $(MAKE) all

test: 
	cd $(BASEDIR) && $(MAKE) test

patchit:
	for patch in local/patches/*.patch; \
	do \
		[ -f $${patch}.applied ] || { \
			/bin/patch -c -b -p0 -i $${patch}; \
			/bin/date > $${patch}.applied; \
		} \
	done;

# ./configure has to be called before the start of each new build,
# the reason is that when it creates the makefiles, it hardcodes
# the top source directory into them. So if the tree is later
# symlinked and rebuilt, this top source directory value needs
# to be changed. Of course ./configure could be changed to not
# hardcode it but I strongly prefer to keep the imported sources
# as pristine as possible to keep the importing of the newer
# versions as easy as possible.  - sergey 06/10/02 

reconfigure:
	cd $(BASEDIR) && { \
		rm -f config.cache config.h config.log config.status TAGS; \
		rm -f libtool isc-config.sh; \
		rm -f util/conf.sh; \
		sh -c "CC='$(CC) -Kthread'; export CC; \
			CFLAGS='$(CFLAGS)'; export CFLAGS; \
			sh ./configure --enable-threads --sysconfdir=/etc --with-openssl=no"; \
	}

# clobber removes make files, log files etc.
clobber:
	cd $(BASEDIR) && if [ -f Makefile ]; then $(MAKE) superclean; fi;
	for patched in local/patches/*.applied; \
	do \
		[ -f $${patched} ] && { \
			rm $${patched}; \
		} \
	done; \
	for f in `find imported -type f -name "*.orig" | sed 's/\.orig//'`; \
	do \
		mv $${f}.orig $${f}; \
	done;

clean:
	cd $(BASEDIR) && if [ -f Makefile ]; then $(MAKE) clean; fi

# Historically we install only a subset of files since the docs
# are handled completely separately. It's much more convenient to keep
# the list of this subset in one place (here) rather than spread among
# tens of makefiles in subdirectories.

install: all
	$(INS) -f $(INSDIR) -m $(BINMODE) -u $(OWN) -g $(GRP) $(BASEDIR)/bin/check/named-checkconf
	$(INS) -f $(INSDIR) -m $(BINMODE) -u $(OWN) -g $(GRP) $(BASEDIR)/bin/check/named-checkzone
	$(INS) -f $(INSDIR) -m $(BINMODE) -u $(OWN) -g $(GRP) $(BASEDIR)/bin/dig/dig
	$(INS) -f $(INSDIR) -m $(BINMODE) -u $(OWN) -g $(GRP) $(BASEDIR)/bin/dig/nslookup
	$(INS) -f $(INSDIR) -m $(BINMODE) -u $(OWN) -g $(GRP) $(BASEDIR)/bin/dig/host
	$(INS) -f $(INSDIR) -m $(BINMODE) -u $(OWN) -g $(GRP) $(BASEDIR)/bin/dnssec/dnssec-keygen
	$(INS) -f $(INSDIR) -m $(BINMODE) -u $(OWN) -g $(GRP) $(BASEDIR)/bin/dnssec/dnssec-signzone
	(cd $(BASEDIR)/bin/named && rm -f in.named; ln named in.named)
	$(INS) -f $(INSDIR) -m $(BINMODE) -u $(OWN) -g $(GRP) $(BASEDIR)/bin/named/in.named
	(cd ${INSDIR} && rm -f lwresd; ln in.named lwresd)
	$(INS) -f $(INSDIR) -m $(BINMODE) -u $(OWN) -g $(GRP) $(BASEDIR)/bin/nsupdate/nsupdate
	$(INS) -f $(INSDIR) -m $(BINMODE) -u $(OWN) -g $(GRP) $(BASEDIR)/bin/rndc/rndc
	$(INS) -f $(INSDIR) -m $(BINMODE) -u $(OWN) -g $(GRP) local/ndc/ndc
	$(INS) -f $(INSDIR) -m $(BINMODE) -u $(OWN) -g $(GRP) local/rndc-keyadm/rndc-keyadm
